Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::RadioMenuItem Class Reference

A GtkRadioMenuItem C++ wrapper class. More...

`#include <inti/gtk/radiomenuitem.h>`

Inheritance diagram for Inti::Gtk::RadioMenuItem:

List of all members.

## Public Types

- typedef GSList Group
    The radio menu item group.

## Public Member Functions

Constructors

- RadioMenuItem ()
    Construct a new radio menu item.
- RadioMenuItem (Group *group)
    Construct a new radio menu item.
- RadioMenuItem (const RadioMenuItem *group)
    Construct a new radio menu item.
- RadioMenuItem (const String &label, bool use_underline=false)
    Construct a new radio menu item whose child is a simple Label.
- RadioMenuItem (Group *group, const String &label, bool use_underline=false)
    Construct a new radio menu item whose child is a simple Label.
- RadioMenuItem (const RadioMenuItem *group, const String &label, bool use_underline=false)
    Construct a new radio menu item whose child is a simple Label.
- virtual ~RadioMenuItem ()
    Destructor.

Accessors

- GtkRadioMenuItem * gtk_radio_menu_item () const
    Get a pointer to the GtkRadioMenuItem structure.
- GtkRadioMenuItemClass * gtk_radio_menu_item_class () const
    Get a pointer to the GtkRadioMenuItemClass structure.
- operator GtkRadioMenuItem * () const
    Conversion operator; safely converts a RadioMenuItem to a GtkRadioMenuItem pointer.
- Group * get_group () const
    Returns the group to which the radio menu item belongs.

Methods

- void set_group (Group *group)
    Sets the group of a radio menu item, or changes it.

## Protected Member Functions

Constructors

- RadioMenuItem (GtkRadioMenuItem *radio_menu_item, bool reference=false)
    Construct a new RadioMenuItem from an existing GtkRadioMenuItem.

## Detailed Description

A GtkRadioMenuItem C++ wrapper class.

A radio menu item is a check menu item that belongs to a group. At each instant exactly one of the radio menu items from a group is selected. You create a group radio menu items the same way you would create a group of buttons (see RadioButton).

The first radio menu item in a group is constructed with one of the constructors that doesn't have a group argument. These are:

        RadioMenuItem();
        RadioMenuItem(const String& label, bool use_underline = false);

Then subsequent radio menu items in the group are constructed with one of the constructors that requires a group. These are:

        RadioMenuItem(Group *group);
        RadioMenuItem(const RadioMenuItem *group);
        RadioMenuItem(Group *group, const String& label, bool use_underline = false);
        RadioMenuItem(const RadioMenuItem*group, const String& label, bool use_underline = false);

There are two types of group arguments. The first, Group, is a typedef for GSList and can be retrieved by calling get_group(). The second is just a pointer to a RadioMenuItem that already has a group assigned to it. To remove a RadioMenuItem from one group and make it part of a new one, use set_group().

## Constructor & Destructor Documentation

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | GtkRadioMenuItem * | radio_menu_item,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new RadioMenuItem from an existing GtkRadioMenuItem. Parameters:
  radio_menu_item | A pointer to a GtkRadioMenuItem.
  reference | Set false if the initial reference count is floating, set true if it's not.
The radio_menu_item can be a newly created GtkRadioMenuItem or an existing GtkRadioMenuItem (see G::Object::Object).

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | Group * | group | ) | `[explicit]`

  | Construct a new radio menu item. Parameters:
  group | The group to which the radio menu item is to be attached.

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | const RadioMenuItem * | group | ) | `[explicit]`

  | Construct a new radio menu item. Parameters:
  group | An exisitng radio menu item.

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | const String & | label,
|  | bool | use_underline = false
| ) | `[explicit]`

  | Construct a new radio menu item whose child is a simple Label. Parameters:
  label | The text for the label
  use_underline | Set true if label contains a mnemonic character.

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | Group * | group,
|  | const String & | label,
|  | bool | use_underline = false
| ) |

  | Construct a new radio menu item whose child is a simple Label. Parameters:
  group | The group to which the radio menu item is to be attached.
  label | The text for the label
  use_underline | Set true if label contains a mnemonic character.

Inti::Gtk::RadioMenuItem::RadioMenuItem | ( | const RadioMenuItem * | group,
|  | const String & | label,
|  | bool | use_underline = false
| ) |

  | Construct a new radio menu item whose child is a simple Label. Parameters:
  group | An exisitng radio menu item.
  label | The text for the label
  use_underline | Set true if label contains a mnemonic character.

## Member Function Documentation

void Inti::Gtk::RadioMenuItem::set_group | ( | Group * | group | ) |

  | Sets the group of a radio menu item, or changes it. Parameters:
  group | The new group.

The documentation for this class was generated from the following file:

- radiomenuitem.h

Main Page - Footer